commit:     c4e42e6f44ccda2aef20764a2878bcf3c04745b7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 25 08:06:14 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 08:06:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4e42e6f

app-text/libspectre: add 0.2.11

Closes: https://bugs.gentoo.org/866045
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/libspectre/Manifest                 |  1 +
 app-text/libspectre/libspectre-0.2.11.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/app-text/libspectre/Manifest b/app-text/libspectre/Manifest
index 2670091f0b61..f9f9ef82da0e 100644
--- a/app-text/libspectre/Manifest
+++ b/app-text/libspectre/Manifest
@@ -1 +1,2 @@
 DIST libspectre-0.2.10.tar.gz 436690 BLAKE2B 
8c1d25225a212b7e8d2bab7cffa4298509450cf727e38d0be22d27ed5fb161a0f838967afa3f8aa265c2bd243431bbfb92976cf51ee52ee7d3b0479000215546
 SHA512 
01738f452f99878beaa528b15d8df463ca22d625306d636e1a6199ade9f068d284f1def3882e954a06e5f066937343f79d0c2197fbb19ab53ef1ab0540c72f2f
+DIST libspectre-0.2.11.tar.gz 435887 BLAKE2B 
46e289553dafe520c76a779ce64f8f5e320541221d885e5707284dd6d89ace7985a0a658fcf26c5ea750fd2751dd2bab0913333cda563ab5ee29c4132f8c99a5
 SHA512 
97335bc927006031fad8be55befae44bec33347f058f5b1fcf828a8a8d45a6fae2d51ceae4aaffcfa563c7592fdffe1e5a4993f145d6832ec81019c00ae0e37f

diff --git a/app-text/libspectre/libspectre-0.2.11.ebuild 
b/app-text/libspectre/libspectre-0.2.11.ebuild
new file mode 100644
index 000000000000..13e3f86ebc8a
--- /dev/null
+++ b/app-text/libspectre/libspectre-0.2.11.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Library for rendering Postscript documents"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/libspectre";
+SRC_URI="https://libspectre.freedesktop.org/releases/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE="debug doc"
+
+RDEPEND=">=app-text/ghostscript-gpl-9.53.0:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen[doc] )
+"
+
+# does not actually test anything, see bug 362557
+RESTRICT="test"
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug asserts)
+               $(use_enable debug checks)
+               --disable-test
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake
+       if use doc; then
+               doxygen || die
+       fi
+}
+
+src_install() {
+       use doc && local HTML_DOCS=( doc/html/. )
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to